import numpy as np
import matplotlib.pyplot as plt
from matplotlib.legend_handler import HandlerLine2D

linew=0.6
scatterw=15

xaxis=np.arange(1,2*ntheta,1)
fig = plt.figure(figsize=(8,4))
line1, = plt.plot(xaxis,pplane, linewidth=linew,ls='-',color='black')
#plt.legend(handler_map={line1: HandlerLine2D(numpoints=3)},loc='top left',ncol=2,fontsize=10,frameon=False)
plt.xlim(0,2*ntheta-1)
#plt.ylim(0.4,1.2)
plt.xlabel('Scan Angle ($^{\circ}$)',fontsize=14)
plt.ylabel('Reflectance',fontsize=14)
x=[0,30/del_theta,60/del_theta,90/del_theta,120/del_theta,150/del_theta,180/del_theta]
y=['$-90^{\circ}$','$-60^{\circ}$','$-30^{\circ}$','$0^{\circ}$','$30^{\circ}$','$60^{\circ}$','$90^{\circ}$']
plt.xticks(x,y)
#x=[0.34,0.38,0.47,0.68,0.87,1.04,1.22,1.27,1.66]
#y=['0.34','0.38','0.47','0.68','0.87','1.04','1.22','1.27','1.66']
#plt.xticks(x,y)
#plt.xticks(rotation=90)
plt.savefig(output_filename, dpi=dpi,bbox_inches='tight', format='png')
plt.show()


