datadir="../data/" #data directory
inputfile="ARCTAS-car_p3b_200807101739_R0_CAR2022-Level1D-20160130.HDF" #rename the file here
space=1 # 0 for sky data and 1 for surface data 
number_of_spectral_bands = 8 #total number of spectral bands 
band_index_for_Red = 5 # note that index starts with 0 not 1
band_index_for_Green = 4
band_index_for_Blue = 2
del_phi=1.0   # phi resolution
del_theta=0.5 # theta resolution
default=0 # if 0, default linear stretch will be used, if 1, following needs to be set.
nRed = 0 # number of breaks for red.
minimum_red=0.0 # later it will be replaced by actual minimum of the data. Use need not change this.
maximum_red=1.0 # later it will be replaced by actual maximum of the data. Use need not change this.
red_break_input=[minimum_red,maximum_red]  # number of elements in this will be nRed+2
red_break_output=[0.0,1.0]  # number of elements in this will be nRed+2
nGreen = 2 # number of breaks for green.
minimum_green=0.0 # later it will be replaced by actual minimum of the data. Use need not change this.
maximum_green=1.0 # later it will be replaced by actual maximum of the data. Use need not change this.
green_break_input=[minimum_green,0.26,0.78,maximum_green]  # number of elements in this will be nGreen+2
green_break_output=[0.0,0.3,0.8,1.0]  # number of elements in this will be nGreen+2
nBlue = 0 # number of breaks for blue.
minimum_blue=0.0 # later it will be replaced by actual minimum of the data. Use need not change this.
maximum_blue=1.0 # later it will be replaced by actual maximum of the data. Use need not change this.
blue_break_input=[minimum_blue,maximum_blue]  # number of elements in this will be nBlue+2
blue_break_output=[0.0,1.0]  # number of elements in this will be nBlue+2
dpi=100 # dpi at which image is required
output_filename="arctas28_surface_rgb.png"

